Subject: Re: [icnrg] New Version Notification for draft-ravi-icnrg-5gc-icn-01.txt
From: Marie-Jose Montpetit <[email-masked]>
To: Ravi Ravindran <[email-masked]>
Cc: "Trossen, Dirk" <[email-masked]>, Luca Muscariello <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Tue, 20 Mar 2018 19:36:51 +0000
List-Id: Information-Centric Networking research group discussion list <icnrg.irtf.org>

While i know that you guys have nothing to do with the current complexities of 5G Networks which I gather are still optimized at the lower layer and with complex control planes I think that if ICN is to be successful it has to reduce complexity not making it worst. 
> On Mar 20, 2018, at 7:26 PM, Ravi Ravindran <[email-masked]> wrote:
> 
> hi Luca,
> 
> I havent read this draft yet, but aware of this work study work item. The objective of this draft is to introduce flatter and richer IP network between the UPFs to get rid of the anchor points points approach that phase-1 inherits from lte, and use these new networks between these UPFs such as ILA or Lisp to handle mobilty, multihomig etc, but its primarily optimizations is to aid IP end points.
> 
> But as Dirk pointed out, I'm not sure how this would apply to 
> our draft, which is also trying to enable end-to-end ICN network in 5G. But I could talk to the authors, to see if we can take some ideas from our draft into this one, probably a way to take ICN into more active discussion.
> 
> Regards
> Ravi
> 
> --------------------------------------------------
> Ravindran Ravishankar Ravindran Ravishankar
> M: 001-408-410-8240 <tel:001-408-410-8240>
> E: [email-masked] <mailto:[email-masked]>
> 2012 <tel:2012>实验室-硅谷网络技术实验室
> 2012 <tel:2012> Laboratories-Silicon Valley Network Technology Lab
> From:Trossen, Dirk
> To:Luca Muscariello,Ravi Ravindran,
> Cc:[email-masked] <mailto:[email-masked]>,
> Date:2018-03-20 18:22:33
> Subject:RE: [icnrg] New Version Notification for draft-ravi-icnrg-5gc-icn-01.txt
> 
> Luca,
>  
> I tend to agree with lots of relevant work in progress to exit but would also acknowledge that there are lots of moving targets in this space, including the CT4 work as well as the SA2 study item on service-based architecture (SBA) for CP and UP traffic.
>  
> However, I would argue that the draft aligns reasonably well with those moving targets since it aligns with the removal of GTP for non-IP PDUs, where this matters most for ICN deployment. But I might miss some missing target, so apologies beforehand.
>  
> As for the specific DMM reference, it would be good to understand where you find this fitting since my confusion comes with the relation to the ICN part (granted that DMM is relevant for the IP side).
>  
> Best,
>  
> Dirk
>   <>
> From: icnrg [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Luca Muscariello
> Sent: 20 March 2018 18:16
> To: Ravi Ravindran <[email-masked] <mailto:[email-masked]>>
> Cc: [email-masked] <mailto:[email-masked]>
> Subject: Re: [icnrg] New Version Notification for draft-ravi-icnrg-5gc-icn-01.txt
>  
> Ravi,
>  
> considering that there is no time to ask questions in the room, I have to use the list.
>  
> All this work of using ICN for 5G is missing relevant work in progress in other places
> such as DMM.
>  
>  
> 3GPP CT4 has approved a study item to consider different solutions to replace GTP to connect
> UPFs. 
>  
> https://datatracker.ietf.org/doc/draft-bogineni-dmm-optimized-mobile-user-plane/ <https://datatracker.ietf.org/doc/draft-bogineni-dmm-optimized-mobile-user-plane/>
>  
> Is there any plan to contribute in that space?
>  
> Luca
>  
>  
>  
> On Tue, Feb 27, 2018 at 9:56 PM, Ravi Ravindran <[email-masked] <mailto:[email-masked]>> wrote:
> The revised draft offers discussion on leveraging non-IP PDU provision in 5GC for ICN deployment and supporting IP-over-ICN solutions in 5GC. We have also included another user case discussion related to multiuser VR scenario.
> 
> Regards,
> Ravi
> 
> 
> 
> -----Original Message-----
> From: [email-masked] <mailto:[email-masked]> [mailto:[email-masked] <mailto:[email-masked]>]
> Sent: Tuesday, February 27, 2018 12:48 PM
> To: Ravi Ravindran <[email-masked] <mailto:[email-masked]>>; Prakash Suthar <[email-masked] <mailto:[email-masked]>>; Dirk Trossen <[email-masked] <mailto:[email-masked]>>; Prakash suthar <[email-masked] <mailto:[email-masked]>>; Guoqiang Wang <[email-masked] <mailto:[email-masked]>: New Version Notification for draft-ravi-icnrg-5gc-icn-01.txt
> 
> 
> A new version of I-D, draft-ravi-icnrg-5gc-icn-01.txt has been successfully submitted by Ravi Ravindran and posted to the IETF repository.
> 
> Name:           draft-ravi-icnrg-5gc-icn
> Revision:       01
> Title:          Enabling ICN in 3GPP's 5G NextGen Core Architecture
> Document date:  2018-02-27
> Group:          Individual Submission
> Pages:          25
> URL:            https://www.ietf.org/internet-drafts/draft-ravi-icnrg-5gc-icn-01.txt <https://www.ietf.org/internet-drafts/draft-ravi-icnrg-5gc-icn-01.txt>
> Status:         https://datatracker.ietf.org/doc/draft-ravi-icnrg-5gc-icn/ <https://datatracker.ietf.org/doc/draft-ravi-icnrg-5gc-icn/>
> Htmlized:       https://tools.ietf.org/html/draft-ravi-icnrg-5gc-icn-01 <https://tools.ietf.org/html/draft-ravi-icnrg-5gc-icn-01>
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ravi-icnrg-5gc-icn-01 <https://datatracker.ietf.org/doc/html/draft-ravi-icnrg-5gc-icn-01>
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ravi-icnrg-5gc-icn-01 <https://www.ietf.org/rfcdiff?url2=draft-ravi-icnrg-5gc-icn-01>
> 
> Abstract:
>    The proposed 3GPP's 5G core nextgen architecture (5GC) offers
>    flexibility to introduce new user and control plane function,
>    considering the support for network slicing functions, that allows
>    greater flexibility to handle heterogeneous devices and applications.
>    In this draft, we provide a short description of the proposed 5GC
>    architecture, followed by extensions to 5GC's control and user plane
>    to support packet data unit (PDU) sessions from information-centric
>    networks.  The value of enabling ICN in 5GC is discussed using
>    multiple service scenarios in the context of mobile edge computing
>    such as smart mobility and VR use case, and to enable network
>    services such as seamless mobility for ICN sessions.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
> 
> The IETF Secretariat
> 
> _______________________________________________
> icnrg mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.irtf.org/mailman/listinfo/icnrg <https://www.irtf.org/mailman/listinfo/icnrg>
>  
> _______________________________________________
> icnrg mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.irtf.org/mailman/listinfo/icnrg <https://www.irtf.org/mailman/listinfo/icnrg>